Name:		portstatus
Summary:	portstatus package for monitoring services on remote machines
%define version 0.1
Version:	%{version}
Release:	0
Copyright:	GPL, Copyright William Stearns <wstearns@pobox.com>
Packager:	William Stearns <wstearns@pobox.com>
Group:		System Environment/Daemons
Source:		ftp://mason.stearns.org/pub/portstatus/portstatus-%{version}.tar.gz
URL:		http://www.pobox.com/~wstearns/
BuildRoot:	/tmp/portstatus-broot

%description
Portstatus monitors daemons on remote systems.

%changelog
* Thu Feb 24 2000 William Stearns <wstearns@pobox.com>
- First spec file.  Includes buildroot support and Changelog.

%prep
%setup

#%build
#make

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/portstatus-broot" ]; then
    rm -rf $RPM_BUILD_ROOT

    install -d					$RPM_BUILD_ROOT/etc
    install -d					$RPM_BUILD_ROOT/usr/bin
    install -d					$RPM_BUILD_ROOT/var/state/portstatus
	cp -p portstatus			$RPM_BUILD_ROOT/usr/bin/portstatus
	cp -p portstatus-display	$RPM_BUILD_ROOT/usr/bin/portstatus-display
	cp -p portstatus.conf		$RPM_BUILD_ROOT/etc/portstatus.conf
else
    echo Invalid Build root
    exit 1
fi

%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/portstatus-broot" ]; then
    rm -rf $RPM_BUILD_ROOT
else
    echo Invalid Build root
    exit 1
fi

%post
echo '* * * * * /usr/bin/portstatus >/dev/null' >>/var/spool/cron/root
echo '* * * * * /usr/bin/portstatus-display >/dev/null' >>/var/spool/cron/root
touch /var/spool/cron

%files
%attr(644,root,root)	%config	/etc/portstatus.conf
%attr(755,root,root)			/usr/bin/portstatus
%attr(755,root,root)			/usr/bin/portstatus-display
%attr(755,root,root)	%dir	/var/state/portstatus
%doc							hosts.sample


